# OSGeo::FDO::Schema::FeatureSchema Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::FeatureSchema:

[legend]

List of all members.

## Detailed Description

The FeatureSchema class derives from SchemaElement. A feature schema contains all of the classes and relationships that make up a particular data model. The FeatureSchema class can be used to either create a new schema or to browse the schema end of a connection. In the later case, the FeatureSchema instance is created by the DescribeSchema command. In this case the schema objects have additional properties, such as coordinate system definitions that can be useful to the application when placed in context with the schema objects.

()

## Public Member Functions
System::Void | AcceptChanges ()
| Accepts all of the changes that have been made to the feature schema. All child elements with a schema element state set to SchemaElementState_Deleted are physically removed from the schema. All other child elements have their schema element state values set to SchemaElementState_Unchanged. This method would usually be only called from an FDO Provider (IApplySchema implementation). It would not normally called by an FDO Client.
| FeatureSchema (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a FeatureSchema object based on an unmanaged instance of the object.
| FeatureSchema (System::String *name, System::String *description)
| Constructs an instance of a FeatureSchema using the specified arguments.
| FeatureSchema ()
| Constructs a default empty instance of an FeatureSchema.
__property OSGeo::FDO::Schema::ClassCollection * | get_Classes ()
| Returns an ClassCollection that contains all of the classes defined in the feature schema.
OSGeo::FDO::Common::Xml::XmlReader * | GetFromInternalStylesheet ()
| Gets the stylesheet for converting the XML document from internal to external format. When classes derived from XmlSerializable define an internal format, they must override this function to return a stylesheet that does the conversion.
System::Void | RejectChanges ()
| Rejects all of the changes that have been made to the feature schema. All child elements with a schema element state set to SchemaElementState_Added are physically removed from the schema. All other child elements are restored to their original states and have their schema element state values set to FdoSchemaElementState_Unchanged.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (String *fileName, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes this object to a file. A complete XML document, containing this object, is written.
System::Void | WriteXml (String *fileName)
| Writes this object to a file. A complete XML document, containing this object, is written.